Bug 21881 - PlatformString.h should include HashMap.h explicitly
Summary: PlatformString.h should include HashMap.h explicitly
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Platform (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC OS X 10.5
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-10-24 22:21 PDT by Aaron Boodman
Modified: 2008-10-30 22:29 PDT (History)
2 users (show)

See Also:


Attachments
PlatformString.h (1.11 KB, patch)
2008-10-24 22:26 PDT, Aaron Boodman
darin: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Aaron Boodman 2008-10-24 22:21:28 PDT
PlatformString does not rely on HashMap, but it pulls in kjs/identifier.h, which  does. Because of this difference, files using PlatformString sometimes end up breaking in non-JSC builds when they don't directly include HashMap.h.

In https://bugs.webkit.org/show_bug.cgi?id=21839, Darin Adler suggested fixing this by explicitly including HashMap in PlatformString.
Comment 1 Aaron Boodman 2008-10-24 22:26:10 PDT
Created attachment 24669 [details]
PlatformString.h
Comment 2 Alexey Proskuryakov 2008-10-25 02:49:20 PDT
Did you mean to mark this for review? You can mark a patch for review by clicking Edit button to the right of it, and setting the flag to "?".
Comment 3 Aaron Boodman 2008-10-25 08:42:29 PDT
(In reply to comment #2)
> Did you mean to mark this for review? You can mark a patch for review by
> clicking Edit button to the right of it, and setting the flag to "?".

Yes, thanks. Fixed that.
Comment 4 Darin Adler 2008-10-27 14:22:30 PDT
Comment on attachment 24669 [details]
PlatformString.h

r=me
Comment 5 Timothy Hatcher 2008-10-30 22:29:16 PDT
Landed in r38023.